"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStepConfig = void 0;
const get_config_1 = require("./node/get-config");
const get_python_config_1 = require("./python/get-python-config");
const get_ruby_config_1 = require("./ruby/get-ruby-config");
const getStepConfig = async (filePath) => {
    const isRb = filePath.endsWith('.rb');
    const isPython = filePath.endsWith('.py');
    const isNode = filePath.endsWith('.js') || filePath.endsWith('.ts');
    if (isRb) {
        return (0, get_ruby_config_1.getRubyConfig)(filePath);
    }
    else if (isPython) {
        return (0, get_python_config_1.getPythonConfig)(filePath);
    }
    else if (isNode) {
        return (0, get_config_1.getNodeFileConfig)(filePath);
    }
    return null;
};
exports.getStepConfig = getStepConfig;
