import { Server } from 'socket.io';
declare class BaseLogger {
    private logger;
    constructor(meta?: Record<string, unknown>);
    info(message: string, args?: unknown): void;
    error(message: string, args?: unknown): void;
    debug(message: string, args?: unknown): void;
    warn(message: string, args?: unknown): void;
}
export declare class Logger extends BaseLogger {
    private readonly traceId;
    private readonly flows;
    private readonly file;
    private emitLog;
    constructor(traceId: string, flows: string[] | undefined, file: string, socketServer?: Server);
    log(message: any): void;
    info: (message: string, args?: unknown) => void;
    error: (message: string, args?: unknown) => void;
    debug: (message: string, args?: unknown) => void;
    warn: (message: string, args?: unknown) => void;
}
export declare const globalLogger: BaseLogger;
export {};
