import { StateAdapter } from '../state-adapter';
export type RedisAdapterConfig = {
    host: string;
    port: number;
    password?: string;
    ttl?: number;
};
export declare class RedisStateAdapter implements StateAdapter {
    private client;
    private prefix;
    private ttl;
    constructor(config: RedisAdapterConfig);
    get(traceId: string, key: string): Promise<any>;
    set<T>(traceId: string, key: string, value: T): Promise<void>;
    delete(traceId: string, key: string): Promise<void>;
    clear(traceId: string): Promise<void>;
    cleanup(): Promise<void>;
    _makeKey(traceId: string, key: string): string;
}
