"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.config = void 0;
const zod_1 = require("zod");
exports.config = {
    type: 'api',
    name: 'Event Emitter',
    description: 'System endpoint for emitting events',
    path: '/emit',
    method: 'POST',
    emits: [], // Dynamic emissions
    flows: ['_system'],
    bodySchema: zod_1.z.object({
        type: zod_1.z.string(),
        data: zod_1.z.record(zod_1.z.unknown()),
    }),
};
const handler = async (req, { emit, logger }) => {
    const { type, data } = req.body;
    logger.info('[Event Emitter] Emitting event', { type, data });
    await emit({ type, data });
    return {
        status: 200,
        body: { success: true, emitted: { type, data } },
    };
};
exports.handler = handler;
